curl --request GET \
--url 'https://api.stateset.com/api/v1/fixed-assets' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"fixed_assets": [
{
"accumulated_depreciation": "string",
"acquisition_cost": "string",
"acquisition_date": "string",
"asset_number": "string",
"book_value": "string",
"category": "string",
"created_at": "string",
"currency": "string",
"disposal_gain_loss": null,
"id": "string",
"in_service_date": null,
"name": "string",
"salvage_value": "string",
"status": "string",
"useful_life_months": 1
}
],
"has_more": true,
"next_cursor": null,
"total": 1
}
List fixed assets
List fixed assets
GET
/
api
/
v1
/
fixed-assets
curl --request GET \
--url 'https://api.stateset.com/api/v1/fixed-assets' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"fixed_assets": [
{
"accumulated_depreciation": "string",
"acquisition_cost": "string",
"acquisition_date": "string",
"asset_number": "string",
"book_value": "string",
"category": "string",
"created_at": "string",
"currency": "string",
"disposal_gain_loss": null,
"id": "string",
"in_service_date": null,
"name": "string",
"salvage_value": "string",
"status": "string",
"useful_life_months": 1
}
],
"has_more": true,
"next_cursor": null,
"total": 1
}
Query parameters
string
string
string
integer (int32)
integer (int32)
string
Cursor for keyset pagination (opaque token from
next_cursor).Responses
FixedAssetListResponse
curl --request GET \
--url 'https://api.stateset.com/api/v1/fixed-assets' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"fixed_assets": [
{
"accumulated_depreciation": "string",
"acquisition_cost": "string",
"acquisition_date": "string",
"asset_number": "string",
"book_value": "string",
"category": "string",
"created_at": "string",
"currency": "string",
"disposal_gain_loss": null,
"id": "string",
"in_service_date": null,
"name": "string",
"salvage_value": "string",
"status": "string",
"useful_life_months": 1
}
],
"has_more": true,
"next_cursor": null,
"total": 1
}
โI